﻿<Window x:Class="ManageStaffDBApp.View.AddNewDepartmentWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:ManageStaffDBApp.View"
        mc:Ignorable="d"
         xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes" xmlns:viewmodel="clr-namespace:ManageStaffDBApp.ViewModel" d:DataContext="{d:DesignInstance Type=viewmodel:DataManageVM}"
        TextElement.Foreground="{DynamicResource MaterialDesignBody}"
         Background="{DynamicResource MaterialDesignPaper}"
         TextElement.FontWeight="Medium"
         TextElement.FontSize="14"
         FontFamily="{materialDesign:MaterialDesignFont}"
        Title="AddNewDepartmentWindow" Height="300" Width="300"
        Name="AddNewDepartmentWin"
        Loaded="Window_Loaded">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="*"/>
            <RowDefinition Height="50"/>
        </Grid.RowDefinitions>
        <StackPanel Grid.Row="0" Orientation="Vertical" HorizontalAlignment="Center"
                    VerticalAlignment="Center" Width="200">
            <TextBox Name="NameBlock" Text="{Binding DepartmentName}" materialDesign:HintAssist.Hint="Enter Department name" Style="{StaticResource MaterialDesignFloatingHintTextBox}"/>
        </StackPanel>
        <Button Grid.Row="1" Content="Add Department" Command="{Binding AddNewDepartment}" CommandParameter="{Binding ElementName=AddNewDepartmentWin}" Style="{StaticResource MaterialDesignFlatButton}" Margin="10 5"/>
    </Grid>
</Window>
